-- Compiled with roblox-ts v2.3.0-dev-576ad98
local TS = _G[script]
local _services = TS.import(script, TS.getModule(script, "@rbxts", "services"))
local ContextActionService = _services.ContextActionService
local RunService = _services.RunService
local Debugger = TS.import(script, TS.getModule(script, "@rbxts", "matter").lib).Debugger
local Plasma = TS.import(script, TS.getModule(script, "@rbxts", "plasma").src)
local MatterDebugger
do
	MatterDebugger = setmetatable({}, {
		__tostring = function()
			return "MatterDebugger"
		end,
	})
	MatterDebugger.__index = MatterDebugger
	function MatterDebugger.new(...)
		local self = setmetatable({}, MatterDebugger)
		return self:constructor(...) or self
	end
	function MatterDebugger:constructor()
		self.debugger = Debugger.new(Plasma)
	end
	function MatterDebugger:setupDebugger(loop, debuggerKeycode)
		self.debugger:autoInitialize(loop)
		if not RunService:IsClient() then
			return nil
		end
		ContextActionService:BindAction("openMatterDebugger", function(_, inputState)
			if inputState ~= Enum.UserInputState.End then
				return nil
			end
			self.debugger:toggle()
		end, false, debuggerKeycode)
	end
end
return {
	default = MatterDebugger,
}
